package com.mif13.authServer.utils;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class CorsConfig {

    @Bean
    public WebMvcConfigurer configure() {
        return new WebMvcConfigurer() {
            @Override
            public void addCorsMappings(CorsRegistry registry) {

                // CORS for /login POST - CORS pas reglé
                registry.addMapping("/login")
                    .allowedMethods("POST")
                    .allowedHeaders("*", "Authorization")
                    .allowedOrigins("http://localhost", "http://192.168.75.68",
                        "https://192.168.75.68", "https://localhost");

                // CORS for /lougout POST - CORS pas reglé 
                registry.addMapping("/logout")
                    .allowedMethods("POST")
                    .allowedHeaders("*", "Authorization")
                    .allowedOrigins("http://localhost", "http://192.168.75.68",
                        "https://192.168.75.68", "https://localhost");

                // CORS for /authenticate GET - Fonctionne
                registry.addMapping("/authenticate")
                    .allowedMethods("GET")
                    .allowedHeaders("*")
                    .allowedOrigins("http://localhost", "http://192.168.75.68",
                        "https://192.168.75.68", "https://localhost");

                // CORS for /users/{id} GET - Fonctionne
                registry.addMapping("/{id}")
                    .allowedMethods("GET")
                    .allowedHeaders("*")
                    .allowedOrigins("http://localhost", "http://192.168.75.68",
                        "https://192.168.75.68", "https://localhost");

            }
        };
    }

};